### org.jfree.layouting.input.style.parser.stylehandler.column

# Class ColumnRuleReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.AbstractCompoundValueReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.column.ColumnRuleReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler

`public class ColumnRuleReadHandler`
`extends AbstractCompoundValueReadHandler`

Creation-Date: 03.12.2005, 21:56:57

Author:
  Thomas Morgner

  ## Constructor Summary

  `ColumnRuleReadHandler()`

  ## Method Summary

  `Map`

  `createValues(LexicalUnit unit)`
    Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.AbstractCompoundValueReadHandler

  `addHandler`, `createValues`, `getAffectedKeys`

## Constructor Details

### ColumnRuleReadHandler

    public ColumnRuleReadHandler()

## Method Details

### createValues

    public Map createValues(LexicalUnit unit)

> Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
> Specified by:
>   createValues in interface CSSCompoundValueReadHandler
> Overrides:
>   createValues in interface AbstractCompoundValueReadHandler
> Parameters:
>   `unit` -
> Returns: